database.sarang.net
UserID
Passwd
Database
DBMS
MySQL
PostgreSQL
Firebird
Oracle
Informix
Sybase
MS-SQL
DB2
Cache
CUBRID
ㆍLDAP
ALTIBASE
Tibero
DB 문서들
스터디
Community
공지사항
자유게시판
구인|구직
DSN 갤러리
도움주신분들
Admin
운영게시판
최근게시물
LDAP Q&A 2025 게시물 읽기
No. 2025
ADSI 질문입니다..LDAP 프로토콜 버전과 관련하여
작성자
으쌰으쌰
작성일
2004-03-16 15:12
조회수
6,976

Netscape DS4.x 는 프로토콜 버전이 2이고 5.x는 버전 3인 걸로 알고 있습니다. 맞는거죠?

SunOne에서 제공하는 LDAP SDK는 프로토콜 버전 속성을 타지 않는 것 같습니다.

4.x이고 5.x이건간에 잘 동작 하거든요.

 

그런데 ADSI같은 경우는 버전 2만 지원하는 것 같습니다.

Netscape DS4.x에는 잘 동작하지만 SunOne DS 5.x에는 연결까지는 되어도 다른 operation은 제대로 동작을 하지 않거든요.

어찌어찌하여 (제가 알아낸것은 아니고 다른분이) Netscape DS4.x와 SunOneDs 5.x의 프로토콜이 다르다는 것을 알아냈습니다.

그래서 질문인데요 혹시 ADSI에서 프로토콜 버전3를 사용할수 있도록 설정하는 방법이 있는지요...

코딩할때 지정해주는 방법이 있다면 알려주세요..ㅠ.ㅠ

 

 

이 글에 대한 댓글이 총 2건 있습니다.

4.x와 5.x의 프로토콜 버전이 바꼈는지는 잘 모르겠네요..ㅡ.ㅡ;;

으쌰으쌰님이 2004-03-16 15:29에 작성한 댓글입니다. Edit

프로토콜 자체가 바뀐것은 아닙니다.

프로토콜 버전이 up 된 상태를 말씀하시는것 같습니다.

 

ADSI 경우는 해보지않아서 뭐라 말씀 못드리겠지만.

일반적인 개발 툴킷들은 LDAP 에 접근할때 옵션으로 프로토콜 버전을 명시할수 있습니다.

아마 ADSI도 마찬가지일것으로 생각됩니다. API 를 자세히 찾아보시면 나오지 않을까 합니다.

 

5.X 대에서 접속후 동작을안한다고 하셨는데 해당 서버의 aci 등을 검토해보시고 시도해 보십시요. 접근시에 BIND 나 인증과정을 같이 수행하셔서 시도해보시면 좀 다른결과가 나오지 않을까 합니다.

 

 

이상 허접.

jack님이 2004-03-16 20:10에 작성한 댓글입니다. Edit
[Top]
No.
제목
작성자
작성일
조회
2028모르니까 힘드네요 ldap 재부팅 하는 방법 [2]
윤성중
2004-03-18
7050
2027ldapadd시 에러 입니다. 어디가 잘못됬는지 가르쳐주세요 [1]
윤성중
2004-03-17
7477
2026꼭꼭! 부탁드려욧! ber_get_next failed [2]
KSL
2004-03-17
7694
2025ADSI 질문입니다..LDAP 프로토콜 버전과 관련하여 [2]
으쌰으쌰
2004-03-16
6976
2024[급질문]Can't contact LDAP server [1]
KIMLYUNG
2004-03-12
7493
2023ldap 에서 samba 연동중에 잘 안되네요.. 조언 부탁드립니다.
이준호
2004-03-09
7882
2022[참조] 특별히...LDAP VIEW나 .EDIT가 없으신 분들 여그 써보세요 [1]
꼬막이
2004-03-09
7754
Valid XHTML 1.0!
All about the DATABASE... Copyleft 1999-2021 DSN, All rights reserved.
작업시간: 0.016초, 이곳 서비스는
	PostgreSQL v13.3으로 자료를 관리합니다